{% extends 'base.html.twig' %}

{% block title %}Sym.Shop - Produit{% endblock %}

{% block body %}
    <div class="container d-flex justify-content-center">
        <h1 class="mt-4">Produit</h1>
    </div>
    

    <table class="table">
        <tbody>
            <tr>
                <th>ID</th>
                <td>{{ product.id }}</td>
            </tr>
            <tr>
                <th>Nom du produit</th>
                <td>{{ product.name }}</td>
            </tr>
            <tr>
                <th>Catégorie</th>
                <td>{{ product.category }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ product.description }}</td>
            </tr>
            <tr>
                <th>Quantité</th>
                <td>{{ product.quantity }}</td>
            </tr>
            <tr>
                <th>Prix</th>
                <td>{{ product.price }}</td>
            </tr>
            <tr>
                <th>Date de création</th>
                <td>{{ product.datecreate ? product.datecreate|date('Y/m/d H:i') : '' }}</td>
            </tr>
            <tr>
                <th>Auteur</th>
                <td>{{ product.author }}</td>
            </tr>
        </tbody>
    </table>

    <a class="btn btn-primary me-2" href="{{ path('crud_product_index') }}">Retour</a>

    <a class="btn btn-info" href="{{ path('crud_product_edit', {'id': product.id}) }}">Editer</a>

    {{ include('crud_product/_delete_form.html.twig') }}
{% endblock %}
